blob: f505f44dc74ec8391fadca88706690029d2ec084 [file] [log] [blame]
DEFINED_PHASES=compile configure install postinst postrm prepare test unpack
DEPEND=~dev-qt/qtcore-5.6.2 freetds? ( dev-db/freetds ) mysql? ( virtual/libmysqlclient:= ) oci8? ( dev-db/oracle-instantclient-basic ) odbc? ( || ( dev-db/unixODBC dev-db/libiodbc ) ) postgres? ( dev-db/postgresql:* ) sqlite? ( >=dev-db/sqlite-3.8.10.2:3 ) dev-lang/perl virtual/pkgconfig test? ( ~dev-qt/qttest-5.6.2 )
DESCRIPTION=SQL abstraction library for the Qt5 tooolkit
EAPI=6
HOMEPAGE=https://www.qt.io/
IUSE=freetds mysql oci8 odbc postgres +sqlite debug test
KEYWORDS=~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86
LICENSE=|| ( LGPL-2.1 LGPL-3 ) FDL-1.3
RDEPEND=~dev-qt/qtcore-5.6.2 freetds? ( dev-db/freetds ) mysql? ( virtual/libmysqlclient:= ) oci8? ( dev-db/oracle-instantclient-basic ) odbc? ( || ( dev-db/unixODBC dev-db/libiodbc ) ) postgres? ( dev-db/postgresql:* ) sqlite? ( >=dev-db/sqlite-3.8.10.2:3 ) dev-qt/qtchooser
REQUIRED_USE=|| ( freetds mysql oci8 odbc postgres sqlite )
RESTRICT=test
SLOT=5/5.6
SRC_URI=https://download.qt.io/official_releases/qt/5.6/5.6.2/submodules/qtbase-opensource-src-5.6.2.tar.xz
_eclasses_=eutils b83a2420b796f7c6eff682679d08fe25 flag-o-matic 8632fcd33a047954f007dee9a137bdcc multilib 165fc17c38d1b11dac2008280dab6e80 qt5-build c08fc6c5028076eb1a42b7edc5847f42 toolchain-funcs 6198c04daba0e1307bd844df7d37f423 versionator 99ae9d758cbe7cfed19170e7d48f5a9c virtualx 86c9305a59b3e0459e7fbef3a5f30b96
_md5_=ff96525c0de2d173bc9fd35d4a0e8ccc